"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isPath = exports.isLocalizedPath = exports.isMultiVersionManifest = void 0;
/**
 * Identifies if a component manifest is a multi-version manifest.
 * @param manifest - The manifest for a component, which may have multiple versions
 * @returns If the manifest has multiple versions
 */
function isMultiVersionManifest(manifest) {
    return !!manifest.versions;
}
exports.isMultiVersionManifest = isMultiVersionManifest;
/**
 * @param config - The module loader configuration for the module.
 * @returns If the module loads as a localized path.
 */
function isLocalizedPath(config) {
    return config.type === 'localizedPath';
}
exports.isLocalizedPath = isLocalizedPath;
/**
 * @param config - The module loader configuration for the module.
 * @returns If the module loads as a non-localized path.
 */
function isPath(config) {
    return config.type === 'path';
}
exports.isPath = isPath;
//# sourceMappingURL=manifestHelpers.js.map